org.fourthline.cling.protocol.sync

## Class ReceivingEvent

- java.lang.Object
- - org.fourthline.cling.protocol.ReceivingAsync<IN>
  - - org.fourthline.cling.protocol.ReceivingSync<StreamRequestMessage,OutgoingEventResponseMessage>
    - - org.fourthline.cling.protocol.sync.ReceivingEvent

- All Implemented Interfaces:
    Runnable

      public class ReceivingEvent
      extends ReceivingSync<StreamRequestMessage,OutgoingEventResponseMessage>

  Handles incoming GENA event messages.

  Attempts to find an outgoing (remote) subscription matching the callback and subscription identifier. Once found, the GENA event message payload will be transformed and the `RemoteGENASubscription.receive(org.fourthline.cling.model.types.UnsignedIntegerFourBytes, java.util.Collection)` method will be called asynchronously using the executor returned by `UpnpServiceConfiguration.getRegistryListenerExecutor()`.

  Author:
    Christian Bauer

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.protocol.ReceivingSync

      `outputMessage, remoteClientInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReceivingEvent(UpnpService upnpService, StreamRequestMessage inputMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected OutgoingEventResponseMessage` | `executeSync()`

    - ### Methods inherited from class org.fourthline.cling.protocol.ReceivingSync

      `execute, getOutputMessage, getRemoteClientInfo, responseException, responseSent, toString`

    - ### Methods inherited from class org.fourthline.cling.protocol.ReceivingAsync

      `getFirstHeader, getInputMessage, getUpnpService, run, waitBeforeExecution`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReceivingEvent

          public ReceivingEvent(UpnpService upnpService,
                                StreamRequestMessage inputMessage)

  - ### Method Detail

    - #### executeSync

          protected OutgoingEventResponseMessage executeSync()
                                                      throws RouterException

      Specified by:
        `executeSync` in class `ReceivingSync<StreamRequestMessage,OutgoingEventResponseMessage>`
      Throws:
        `RouterException`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.